Summary:        Transparent big number support for Perl
Name:           perl-bignum
Version:        0.66
Release:        7%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/bignum
Source0:        https://cpan.metacpan.org/authors/id/P/PJ/PJACKLAM/bignum-%{version}.tar.gz

BuildRequires:  coreutils make perl-generators perl-interpreter 
BuildRequires:  perl(Config) perl(strict) perl(warnings)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(:VERSION) >= 5.10 perl(Carp) >= 1.22  
BuildRequires:  perl(constant) perl(Exporter)  
BuildRequires:  perl(Math::BigFloat) perl(overload)
BuildRequires:  perl(Math::BigInt) >= 1.999830
BuildRequires:  perl(Math::BigRat) >= 0.2623
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(Carp) >= 1.22
Requires:       perl(Math::BigInt) >= 1.999830
Requires:       perl(Math::BigRat) >= 0.2623

BuildArch:      noarch

%global __requires_exclude ^perl\\(Math::BigInt\\)$ | ^perl\\(Math::BigRat\\)$ | ^perl\\(Carp\\)$
 
%description
All operators (including basic math operations) are overloaded. 
Integer and floating-point constants are created as proper BigInts 
or BigFloats, respectively.
 
%prep
%autosetup -n bignum-%{version}
 
%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build
 
%install
%make_install
%{_fixperms} -c %{buildroot}
 
%check
export HARNESS_OPTIONS=j%{_smp_build_ncpus}
make test
 
%files
%license LICENSE
%doc BUGS CHANGES README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.66-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.66-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.66-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.66-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.66-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.66-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 15 2022 Wang Zhe <bessiewang@tencent.com> - 0.66-1
- initial build
